Jump to content

Recommended Posts

Добрый день!

Имеется модем

Модель Keenetic VOX

Версия NDMS v2.05(AAGN.0)C4

Поставил пакет openvpn-openssl, но не может поднять интерфейс.

вот что в логах

Sat Jun 18 13:23:19 2016 PUSH: Received control message: 'PUSH_REPLY,route 10.50.19.1,topology net30,ping 10,ping-restart 30,ifconfig 10.50.19.10 10.50.19.9'
Sat Jun 18 13:23:19 2016 OPTIONS IMPORT: timers and/or timeouts modified
Sat Jun 18 13:23:19 2016 OPTIONS IMPORT: --ifconfig/up options modified
Sat Jun 18 13:23:19 2016 OPTIONS IMPORT: route options modified
Sat Jun 18 13:23:19 2016 TUN/TAP device tun0 opened
Sat Jun 18 13:23:19 2016 TUN/TAP TX queue length set to 100
Sat Jun 18 13:23:19 2016 do_ifconfig, tt->ipv6=0, tt->did_ifconfig_ipv6_setup=0
Sat Jun 18 13:23:19 2016 /opt/sbin/ifconfig tun0 10.50.19.10 pointopoint 10.50.19.9 mtu 1500
/opt/sbin/ifconfig: error while loading shared libraries: libcrypt.so.1: cannot open shared object file: No such file or directory
Sat Jun 18 13:23:19 2016 Linux ifconfig failed: could not execute external program
Sat Jun 18 13:23:19 2016 Exiting due to fatal error
 

сам файлик (т.е. симлинк) libcrypt.so.1 есть.

root@Keenetic_VOX:/opt/etc/init.d# ls -l /opt/lib/libc*
-rwxrwxr-x    1 root     1000       1462896 Jun 16 18:27 /opt/lib/libc-2.19.so
lrwxrwxrwx    1 root     1000            12 Jun 16 18:27 /opt/lib/libc.so.6 -> libc-2.19.so
-rwxrwxr-x    1 root     1000         37120 Jun 16 18:27 /opt/lib/libcrypt-2.19.so
lrwxrwxrwx    1 root     1000            16 Jun 16 18:27 /opt/lib/libcrypt.so.1 -> libcrypt-2.19.so
 
root@Keenetic_VOX:/opt/etc/init.d# env
LD_LIBRARY_PATH=/opt/lib:/opt/usr/lib:/lib:/usr/lib
SHLVL=2
OLDPWD=/opt/etc
PS1=$(eval $PRECMD)\u@\h:\w\$
ENV=.profile
MC_SID=7375
TERM=xterm
PATH=/opt/bin:/opt/sbin:/opt/usr/bin:/opt/usr/sbin:/bin:/sbin:/usr/bin:/usr/sbin
MC_TMPDIR=/opt/tmp/mc-root
SHELL=/opt/bin/sh
PWD=/opt/etc/init.d
TZ=MSK-3
 

Где же засада?

Link to comment
Share on other sites

Добрый день!

Имеется модем

Модель Keenetic VOX

Версия NDMS v2.05(AAGN.0)C4

Поставил пакет openvpn-openssl, но не может поднять интерфейс.

вот что в логах

Sat Jun 18 13:23:19 2016 PUSH: Received control message: 'PUSH_REPLY,route 10.50.19.1,topology net30,ping 10,ping-restart 30,ifconfig 10.50.19.10 10.50.19.9'
Sat Jun 18 13:23:19 2016 OPTIONS IMPORT: timers and/or timeouts modified
Sat Jun 18 13:23:19 2016 OPTIONS IMPORT: --ifconfig/up options modified
Sat Jun 18 13:23:19 2016 OPTIONS IMPORT: route options modified
Sat Jun 18 13:23:19 2016 TUN/TAP device tun0 opened
Sat Jun 18 13:23:19 2016 TUN/TAP TX queue length set to 100
Sat Jun 18 13:23:19 2016 do_ifconfig, tt->ipv6=0, tt->did_ifconfig_ipv6_setup=0
Sat Jun 18 13:23:19 2016 /opt/sbin/ifconfig tun0 10.50.19.10 pointopoint 10.50.19.9 mtu 1500
/opt/sbin/ifconfig: error while loading shared libraries: libcrypt.so.1: cannot open shared object file: No such file or directory
Sat Jun 18 13:23:19 2016 Linux ifconfig failed: could not execute external program
Sat Jun 18 13:23:19 2016 Exiting due to fatal error

сам файлик (т.е. симлинк) libcrypt.so.1 есть.

root@Keenetic_VOX:/opt/etc/init.d# ls -l /opt/lib/libc*
-rwxrwxr-x    1 root     1000       1462896 Jun 16 18:27 /opt/lib/libc-2.19.so
lrwxrwxrwx    1 root     1000            12 Jun 16 18:27 /opt/lib/libc.so.6 -> libc-2.19.so
-rwxrwxr-x    1 root     1000         37120 Jun 16 18:27 /opt/lib/libcrypt-2.19.so
lrwxrwxrwx    1 root     1000            16 Jun 16 18:27 /opt/lib/libcrypt.so.1 -> libcrypt-2.19.so

root@Keenetic_VOX:/opt/etc/init.d# env
LD_LIBRARY_PATH=/opt/lib:/opt/usr/lib:/lib:/usr/lib
SHLVL=2
OLDPWD=/opt/etc
PS1=$(eval $PRECMD)\u@\h:\w\$
ENV=.profile
MC_SID=7375
TERM=xterm
PATH=/opt/bin:/opt/sbin:/opt/usr/bin:/opt/usr/sbin:/bin:/sbin:/usr/bin:/usr/sbin
MC_TMPDIR=/opt/tmp/mc-root
SHELL=/opt/bin/sh
PWD=/opt/etc/init.d
TZ=MSK-3

Где же засада?

Неужели так сложно читать описание разделов?!

Какого шута это делает в "Тестировании NDMS"?!

А вообще - что у вас за версия пакетов-то хоть? Keenopt? Entware-mipsbe?

Link to comment
Share on other sites

Извиняюсь, промахнулся...

root@Keenetic_VOX:/opt/etc/init.d# uname -m
mips
root@Keenetic_VOX:/opt/etc/init.d# uname -a
Linux Keenetic_VOX 2.6.22.15 #1 SMP Thu May 5 15:00:12 UTC 2016 mips GNU/Linux

root@Keenetic_VOX:/opt/etc# cat opkg.conf
src/gz all http://opkg.keenopt.ru/all
src/gz mips http://opkg.keenopt.ru/mips
src/gz ina_ra http://opkg.keenopt.ru/ina_ra
dest root /opt
dest ram /tmp
lists_dir ext /opt/var/opkg-lists
option overlay_root /opt/overlay
arch all 100
arch mips 150
arch ina_ra 200

Link to comment
Share on other sites

....

А вообще - что у вас за версия пакетов-то хоть? Keenopt? Entware-mipsbe?

Ясный перец, что не Entware. Там и пакет иначе называется и libc другая. В Entware-keentic пакет рабочий. Сам пользую.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...